com.tibbo.aggregate.common.filter

## Class NextYearsFunctionOperation

- java.lang.Object
- - com.tibbo.aggregate.common.filter.Operation
  - - com.tibbo.aggregate.common.filter.FunctionOperation
    - - com.tibbo.aggregate.common.filter.ColumnFunctionOperation
      - - com.tibbo.aggregate.common.filter.LastNextPeriodFunctionOperation
        - - com.tibbo.aggregate.common.filter.NextYearsFunctionOperation

- All Implemented Interfaces:
    Expression

      public class NextYearsFunctionOperation
      extends LastNextPeriodFunctionOperation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `FunctionOperation.FilterFunctions`

  - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `operands`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NextYearsFunctionOperation(Expression[] operands)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `checkDate(java.util.Date column, java.lang.Number operand)`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.LastNextPeriodFunctionOperation

      `evaluate`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.ColumnFunctionOperation

      `getColumn`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.FunctionOperation

      `getChildren, getDescription, getOperandCount, getPriority`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.Operation

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NextYearsFunctionOperation

          public NextYearsFunctionOperation(Expression[] operands)

  - ### Method Detail

    - #### checkDate

          protected java.lang.Object checkDate(java.util.Date column,
                                               java.lang.Number operand)

      Specified by:
        `checkDate` in class `LastNextPeriodFunctionOperation`